List Pickup Methods
Retrieves a list of pickup methods.
Examples
You can filter this list to return pickup method objects specific to a list of requested pickup method IDs. This is achieved by appending the query string ?id:in=1,3,5 to the resource /pickup/methods.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Query parameters
Filter pickup methods by the date created. Return methods created on the provided date.
For example, date_created=2023-09-07T06:23:13Z.
Filter pickup methods by minimum date created. Return methods created after the provided date.
For example, date_created:min=2023-09-07T06:23:13Z.
Filter pickup methods by maximum date created. Return methods created before the provided date.
For example, date_created:max=2023-09-07T06:23:13Z.
Filter pickup methods by date modified. Return methods modified on the provided date.
For example, date_modified=2023-09-07T06:23:13Z.
Filter pickup methods by minimum date modified. Return methods modified after the provided date.
For example, date_modified:min=2023-09-07T06:23:13Z.
Filter pickup methods by maximum date modified. Return methods modified before the provided date.
For example, date_modified:max=2023-09-07T06:23:13Z.
Sort pickup methods by date_modified:* or name:* ; for example, sort=name:asc.
date_modified:asc- sort by date modified in ascending orderdate_modified:desc- sort by date modified in descending ordername:asc- sort by name in ascending ordername:desc- sort by name in descending order